Debian Bug report logs - #620513
alsa-utils: Improvements to the speaker-test manpage

version graph

Package: alsa-utils; Maintainer for alsa-utils is Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>; Source for alsa-utils is src:alsa-utils.

Reported by: Javier Fernández-Sanguino Peña <jfs@debian.org>

Date: Sat, 2 Apr 2011 11:45:17 UTC

Severity: wishlist

Tags: fixed-upstream, patch, upstream

Found in version alsa-utils/1.0.23-3

Fixed in version alsa-utils/1.0.24.2-1

Done: Jordi Mallach <jordi@debian.org>

Bug is archived. No further changes may be made.

Forwarded to http://bit.ly/l0RWkZ

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>:
Bug#620513; Package alsa-utils. (Sat, 02 Apr 2011 11:45:22 GMT) Full text and rfc822 format available.

Acknowledgement sent to Javier Fernández-Sanguino Peña <jfs@debian.org>:
New Bug report received and forwarded. Copy sent to Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>. (Sat, 02 Apr 2011 11:45:27 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Javier Fernández-Sanguino Peña <jfs@debian.org>
To: submit@bugs.debian.org
Subject: alsa-utils: Improvements to the speaker-test manpage
Date: Sat, 2 Apr 2011 13:42:27 +0200
[Message part 1 (text/plain, inline)]
Package: alsa-utils
Version: 1.0.23-3
Priority: wishlist
Tags: patch upstream

The speaker-test manpage could be improved somewhat by helping a little bit
the user determine how to find out the devices he can test.

Based on http://alsa.opensrc.org/Speaker-test I have make some changes to the
manpage (diff attached) to describe a little bit more how speaker-test can be
used alongside 'aplay'.

Please consider the following patch for alsa-utils-1.0.23/speaker-test/speaker-test.1

Following debian/copyright I was going to submit the bug usptream but their
BTS requires me to create a new user so, while I decide whether I want yet
another user to manage or not, I'm submitting it here.

Regards


Javier

[speaker-test.1.diff (text/x-diff, attachment)]
[signature.asc (application/pgp-signature, inline)]

Message sent on to Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug#620513. (Sat, 04 Jun 2011 22:00:09 GMT) Full text and rfc822 format available.

Message #8 received at 620513-submitter@bugs.debian.org (full text, mbox):

From: Daniel Chen <seven.steps@gmail.com>
To: control@bugs.debian.org
Cc: 620513-submitter@bugs.debian.org
Subject: Re: alsa-utils: Improvements to the speaker-test manpage
Date: Sat, 4 Jun 2011 17:56:45 -0400
forwarded 620513
http://mailman.alsa-project.org/pipermail/alsa-devel/2011-June/040401.html
thanks

(Because upstream recommends using the dev mailing list instead of its
crufty bug tracker, I've used an archive URL instead.)

Cheers,
-Dan




Set Bug forwarded-to-address to 'http://bit.ly/l0RWKZ'. Request was from Daniel Chen <seven.steps@gmail.com> to control@bugs.debian.org. (Sat, 04 Jun 2011 22:09:04 GMT) Full text and rfc822 format available.

Changed Bug forwarded-to-address to 'http://bit.ly/l0RWkZ' from 'http://bit.ly/l0RWKZ' Request was from Daniel Chen <seven.steps@gmail.com> to control@bugs.debian.org. (Sat, 04 Jun 2011 22:15:02 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from Daniel Chen <seven.steps@gmail.com> to control@bugs.debian.org. (Mon, 06 Jun 2011 02:57:03 GMT) Full text and rfc822 format available.

Reply sent to Jordi Mallach <jordi@debian.org>:
You have taken responsibility. (Tue, 26 Jul 2011 12:52:16 GMT) Full text and rfc822 format available.

Notification sent to Javier Fernández-Sanguino Peña <jfs@debian.org>:
Bug acknowledged by developer. (Tue, 26 Jul 2011 12:52:25 GMT) Full text and rfc822 format available.

Message #19 received at 620513-close@bugs.debian.org (full text, mbox):

From: Jordi Mallach <jordi@debian.org>
To: 620513-close@bugs.debian.org
Subject: Bug#620513: fixed in alsa-utils 1.0.24.2-1
Date: Tue, 26 Jul 2011 12:47:12 +0000
Source: alsa-utils
Source-Version: 1.0.24.2-1

We believe that the bug you reported is fixed in the latest version of
alsa-utils, which is due to be installed in the Debian FTP archive:

alsa-utils-udeb_1.0.24.2-1_amd64.udeb
  to main/a/alsa-utils/alsa-utils-udeb_1.0.24.2-1_amd64.udeb
alsa-utils_1.0.24.2-1.debian.tar.bz2
  to main/a/alsa-utils/alsa-utils_1.0.24.2-1.debian.tar.bz2
alsa-utils_1.0.24.2-1.dsc
  to main/a/alsa-utils/alsa-utils_1.0.24.2-1.dsc
alsa-utils_1.0.24.2-1_amd64.deb
  to main/a/alsa-utils/alsa-utils_1.0.24.2-1_amd64.deb
alsa-utils_1.0.24.2.orig.tar.bz2
  to main/a/alsa-utils/alsa-utils_1.0.24.2.orig.tar.bz2



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 620513@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Jordi Mallach <jordi@debian.org> (supplier of updated alsa-utils package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Tue, 26 Jul 2011 13:10:03 +0200
Source: alsa-utils
Binary: alsa-utils alsa-utils-udeb
Architecture: source amd64
Version: 1.0.24.2-1
Distribution: unstable
Urgency: low
Maintainer: Debian ALSA Maintainers <pkg-alsa-devel@lists.alioth.debian.org>
Changed-By: Jordi Mallach <jordi@debian.org>
Description: 
 alsa-utils - Utilities for configuring and using ALSA
 alsa-utils-udeb - Utilities for configuring and using ALSA (udeb) (udeb)
Closes: 620513
Changes: 
 alsa-utils (1.0.24.2-1) unstable; urgency=low
 .
   * New upstream release.
     - allows control of "Auto-Mute Mode" (see #631963).
   * Pass --disable-alsaconf to configure to disable alsaconf in a sane way.
   * Replace move_asound_state_to_var.patch with --with-asound-state-dir.
   * Bump Build-Depends on alsa-lib to >= 1.0.24.1, for alsa/use-case.h.
     You would expect configure.in checks for this, right?
   * Bump to debhelper compat v8.
   * Tweak description.
   * Drop unneeded README.source.
   * Add patch from Javi Fernández-Sanguino Peña to improve the
     speaker-test(1) manpage with usage examples. Thanks! Closes: #620513.
   * Define _GNU_SOURCE to fix a build failure in alsaloop.
   * Avoid having the same short description for the main and udeb packages.
Checksums-Sha1: 
 77cc67533d408efa5646f7c0700e322b35fcc7fc 1427 alsa-utils_1.0.24.2-1.dsc
 09921047d94369b9bc9f84fb29c61a6baae91bbb 1130734 alsa-utils_1.0.24.2.orig.tar.bz2
 b5689c876b67188ac5a025378e367ba847b0b52f 32342 alsa-utils_1.0.24.2-1.debian.tar.bz2
 f08777176b7eea0ce5264bdcf0f78e93a79de989 1167660 alsa-utils_1.0.24.2-1_amd64.deb
 160ce7f77cbe0f1d9006aa432271c6b0e79674a7 61488 alsa-utils-udeb_1.0.24.2-1_amd64.udeb
Checksums-Sha256: 
 f032acc619de31d176858ef66205fed728c3c67a7f5c3498b71e0601bcc96c69 1427 alsa-utils_1.0.24.2-1.dsc
 95127f740291086486c06c28118cabca0814bde48fd14dac041a9812a5ac1be2 1130734 alsa-utils_1.0.24.2.orig.tar.bz2
 ecad642dfca535d7d3045d888d536a902de784c1e4e0a89592d85681fad159eb 32342 alsa-utils_1.0.24.2-1.debian.tar.bz2
 45bb49d001ad1363ce925fef5f6eb62b4cd6c8c1e196e35fb0c5a7e64d32fbc9 1167660 alsa-utils_1.0.24.2-1_amd64.deb
 c0452f3e77a137516bf8caa6ddc9d4ae4f6ed1b2600cc7251829867d0518825b 61488 alsa-utils-udeb_1.0.24.2-1_amd64.udeb
Files: 
 433c0764f49e031c4c9323df1f4c9b82 1427 sound optional alsa-utils_1.0.24.2-1.dsc
 8238cd57cb301d1c36bcf0ecb59ce6b2 1130734 sound optional alsa-utils_1.0.24.2.orig.tar.bz2
 9f24c378561691604a8172bb357fa54b 32342 sound optional alsa-utils_1.0.24.2-1.debian.tar.bz2
 2e65dd6ff4b1cf7800c34fb94420bca5 1167660 sound optional alsa-utils_1.0.24.2-1_amd64.deb
 8b9bf1108e3e957f759cbdb4c6b88429 61488 debian-installer optional alsa-utils-udeb_1.0.24.2-1_amd64.udeb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.11 (GNU/Linux)

iEYEARECAAYFAk4utCkACgkQJYSUupF6Il7P+QCgrhBmEpxXcYVLChSz9mas/4As
aDcAn1M0HFjZDc9Dgk5+Xd9TaDl61Gpg
=8e2b
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 03 Sep 2011 07:33:22 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 23:33:49 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.